globals.loadGameData = function() {
    variables.imagesLoaded = 0;
    variables.totalImages = 2;

    variables.hintBtnImage = new Image();
    utils.setImageLoadListener(variables.hintBtnImage);
    variables.hintBtnImage.src = settings.HINT_BTN_PATH;

    variables.submitBtnImage = new Image();
    utils.setImageLoadListener(variables.submitBtnImage);
    variables.submitBtnImage.src = settings.SUBMIT_BTN_PATH;
}

utils.setImageLoadListener = function(img) {
    var oneImageLoaded = function() {
        variables.imagesLoaded++;
        if (variables.imagesLoaded == variables.totalImages) {
            domElements.$preloader.addClass(domElements.invisibleClassName);
            globals.initGameObjects();
        }
    }
    img.onload = function(e) {
        oneImageLoaded();
    };
    img.onerror = function(e) {
        oneImageLoaded();
        alert(img.src + " is missing");
    }
}

globals.initGameObjects = function() {
    if(settings.RECORDS_ENABLED) {
        objects.server = new Server();
        objects.records = new Records();
    }// RECORDS
    objects.intro = new Intro();
    objects.game = new Game();
    utils.turnOnScreen(domElements.$introScreen);
}


globals.init = function() {
    var canvas = document.getElementById("canvas");
    paper.setup(canvas);
    globals.loadGameData();
    utils.setVirtualMouseEvents();
    utils.setOrientationChangeListener(); // RESIZE
    utils.resizeAll();
    $(window).resize(function(e) {
        utils.resizeAll();
    });
};

globals.init();